adc al,0x13
; this is used as WORD 0x1314 and BYTE 0x14
int 0x10
; set screen resolution to 320x200 in 256 colors
X: db 0xa
; that's "adc [bp+si],cl" with the byte before
; reusing the "0x10" in "int 0x10" =) ; it advances
; the framecounter twice per frame (CF on MUL!)
; at first, there is something different executed
; "or cl,[bp+di+0x6804]" + "sahf" then "pop es"
; but that doesn't harm the code or data
mov ax,[si]
; get constant for distance division
push 0xa000-20*20-10
pop es
; getting a screen adress moved up 20 lines to hide 
; crap and offset to a half line for the rrrola trick
; doing this inside the loop actually allowed some
; rearrangement and finetuning to make the first run
; not crash or harm code/data, while not slowing down
add dh,[si]
; offsetting the line number to prevent div by zero
div dh
xchg dx,ax
; getting corrected distance in AL, then DL, while
; getting the row number in AL at the same time
imul dl
; modifying the width by projected distance (in AH)
sub dl,[bp+si]
; offsetting the distance with the framecounter
sub ah,dl
; now here, instead of applying the infamous XOR
; texture, i went for using the flags after SUB
; directly as pixel color, as ugly, but new :D
pushf
pop ax
stosb
; write to screen, and advance screen position
mov ax,0xcccd
mul di
; famous Rrrola trick : get X,Y in DX and DH/AL
; triggers CF evertyime but twice per frame, thus
; allowing the reuse of "int 0x10" as frame counter
jmp short X-1
; rinse and repeat (odd jump into "adc [bp+si],cl")